Page MenuHomePhabricator

Design New Filters controls for Jade
Closed, ResolvedPublic

Event Timeline

Halfak reopened this task as Open.EditedAug 15 2019, 8:41 PM

New Filter controls

In this wireframe/mock, I have decided not to keep damaging/goodfaith totally separate and instead to merge the two fields into 4 possible values.

  1. No label
  2. Good + Goodfaith = Good edits
  3. Damaging + Goodfaith = Unintentional damage
  4. Damaging + Badfaith = Vandalism

The 5th case (Good + Badfaith) doesn't make any sense here.

Halfak triaged this task as Low priority.Dec 4 2019, 9:39 PM
Halfak removed a project: Epic.
Halfak moved this task from Unorganized to New development on the Machine-Learning-Team board.
Wargo removed a subscriber: Wargo.Jan 6 2020, 6:40 PM
Halfak added a comment.May 1 2020, 8:37 PM

I like putting these labels near the predicted labels, but I've also designed an "advanced filters" button that could be used to hide these filters deeper in the menu.

Halfak moved this task from Active to Review on the Machine-Learning-Team (Active Tasks) board.

Mostly I carefully reviewed the structures in place in the RCFilters menu and applied them for Jade. I made modifications to the i18n messages we use to describe the labels so that it makes sense for plural "edits".

ACraze closed this task as Resolved.Sep 23 2020, 5:05 PM